Brocade Fibre Channel Networking Community

Expand all | Collapse all

seccertutil gencsr [-hash sha1 | sha256] can run on FOS 7.4.2d

  • 1.  seccertutil gencsr [-hash sha1 | sha256] can run on FOS 7.4.2d

    Posted 11-29-2019 12:19 AM
    Hi team,

    Anyone knows this command support on SAN SW ver FOS 7.4.2d
    >seccertutil gencsr [-hash sha1 | sha256]
    We need to renew the HTTPS CA certificate for the SAN SW with values set "sha256" but we don't know "-hash sha256" command understand or NOT.

    Thanks in advance.


  • 2.  RE: seccertutil gencsr [-hash sha1 | sha256] can run on FOS 7.4.2d

    Posted 12-05-2019 02:43 AM
    @Bui Vuong Long  why don't you check by running  "help ​seccertutil" on a FOS 7.4.2d switch?

    As far as I know, the -hash option has been introduced in FOS 8.0, but it might have been backported to FOS 7.4.2. 


    ------------------------------
    Senior Systems Engineer
    Broadcom - Brocade Storage Networking
    ------------------------------



  • 3.  RE: seccertutil gencsr [-hash sha1 | sha256] can run on FOS 7.4.2d

    Posted 7 days ago
    Hi @Bui Vuong Long, secCertUtil is still used but will be deprecated very soon. Instead you should use the secCertmgmt command.
    Did you manage to get your CA signed certificates? If not, here's a great step-by-step article on how to implement https on switches: Enable HTTPS protocol on Brocade switches

    ------------------------------
    Storage/Backup administrator
    STORCOM
    Did you find this helpful? Show appreciation by clicking on Recommend
    ------------------------------